package com.liang.service;

import com.liang.entity.PrjProjectdivision;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 项目分工(PrjProjectdivision)表服务接口
 *
 * @author makejava
 * @since 2023-03-28 17:17:36
 */
public interface PrjProjectdivisionService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjProjectdivision queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjProjectdivision 筛选条件
     * @param pageRequest        分页对象
     * @return 查询结果
     */
    Page<PrjProjectdivision> queryByPage(PrjProjectdivision prjProjectdivision, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param
     * @return
     */
    int insert(String mc);

    /**
     * 修改数据
     *
     * @param prjProjectdivision 实例对象
     * @return 实例对象
     */
    PrjProjectdivision update(PrjProjectdivision prjProjectdivision);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取项目分工列表
     *
     * @return
     */
    List<Map<String, String>> getPrjDivision();
}
